Bem-vindo: Seg, 23 de Abril 2018, 6:32 Pesquisa avançada

[RESOLVIDO] O valor 'trusty' é inválido para APT

Esta secção é dedicada a todas as distribuições de Linux, por exemplo, Gentoo, Ubuntu Ultimate Edition, Mint, Kubuntu etc. Poderá apresentar distribuições, questionar sobre problemas e até apresentar tutoriais!

[RESOLVIDO] O valor 'trusty' é inválido para APT

Mensagempor Allan » Sex, 28 de Julho 2017, 22:29

Recentemente enfrentei um problema ao fazer upgrade do Mint 17.3 para a versão 18 :doh: . Consegui resolver e gostaria de compartilhar a solução com a comunidade.

ERRO

E: O valor 'trusty' é inválido para APT::Default-Release porque tal lançamento não está disponível nas fontes
E: _cache->open() failed, please report.





SOLUÇÃO

Código: Selecionar todos
$ sudo su
$ xed .synaptic/synaptic.conf

Localize a linha DefaultDistro "trusty";
Coloque, assim DefaultDistro "xenial";
Código: Selecionar todos
$ exit
$ sudo apt-get update

Acesse o Gerenciador de Atualizações, clique em Atualizar
Depois é só selecionar o que quer atualizar e clicar em Instalar Atualizações

:yeah:
Spoiler:
Linux Mint 18 | Cinnamon 3.0.7 | 64-bits | Kernel 4.4.0-21-generic
Avatar do usuário
Allan
 
Mensagens: 58
Registrado em: 08 Setembro, 2013

Re: [RESOLVIDO] O valor 'trusty' é inválido para APT

Mensagempor Luis Cardoso » Sáb, 14 de Outubro 2017, 10:42

Bom dia @Allan,

Fez bem em partilhar a solução, quem sabe se não ajudou já outros utilizadores com o mesmo problema e/ou semelhante. Se não me engano o "trusty" já está enterrado e bem enterrado pela data em que apresentou esta solução ;)
ImagemImagem
«Escolhe um trabalho de que gostes, e não terás que trabalhar um só dia na tua vida» - Confúcio
Avatar do usuário
Luis Cardoso
Redator
 
Mensagens: 10455
Registrado em: 26 Maio, 2011
Localização: Portugal

Re: [RESOLVIDO] O valor 'trusty' é inválido para APT

Mensagempor Allan » Seg, 23 de Outubro 2017, 3:39

Bom dia, Cardoso!


Grato por seu comentário! :yeah:

Se não me engano o "trusty" já está enterrado e bem enterrado pela data em que apresentou esta solução ;)


O Trusty é LTS, ainda, será suportado até abril de 2019.

Linux Mint Releases
Spoiler:
Linux Mint 18 | Cinnamon 3.0.7 | 64-bits | Kernel 4.4.0-21-generic
Avatar do usuário
Allan
 
Mensagens: 58
Registrado em: 08 Setembro, 2013


Voltar para Outras distribuições de Linux

Quem está online

Usuários navegando neste fórum: Nenhum usuário registrado e 4 visitantes

cron